GET /product/reviews

viator.com

Summary: /product/reviews
Operation ID: productReviews
Auth: unknown
Description

Get user-submitted reviews of a product **Note**: - The number of reviews that you can obtain via this service will depend on whether your account is limited in terms of the number of reviews you are entitled to receive. - The number of reviews available through this service is given in the `reviewCount` element in the response from [/product](#operation/product) - Please speak to your account manager if you wish to receive more reviews. If your account is not limited, you will be able to receive all available reviews for this product. - Only reviews in the language specified in the Accept-Language request header will be returned **Example:** "Get the first three reviews for product `5010SYDNEY` sorted by rating in ascending order": ```javascript https://viatorapi.sandbox.viator.com/service/product/reviews?sortOrder=REVIEW_RATING_A&topX=1-3&code=5010SYDNEY&showUnavailable=false ```

Parameters (5)

Accept-Language (string, header, required)

Specifies the language into which the natural-language fields in the response from this service will be translated (see [Accept-Language header](#section/Appendices/Accept-Language-header) for available langage codes)

code (string, query, optional)

**unique alphanumeric identifier** of the product

showUnavailable (boolean, query, optional)

**specifier** as to whether or not to show 'unavailable' products: - `true`: return *both* available and unavailable products - `false`: return *only* available products (default)

sortOrder (string, query, optional)

**specifier** of the order in which to return reviews Sort order options: - `"REVIEW_RATING_A"`: Traveler Rating (low→high) Average - `"REVIEW_RATING_D"`: Traveler Rating (high→low) Average - `"REVIEW_RATING_SUBMISSION_DATE_D"`: Most recent review

Constraints: {'enum': ['REVIEW_RATING_A', 'REVIEW_RATING_D', 'REVIEW_RATING_SUBMISSION_DATE_D']}

topX (string, query, optional)

**start and end rows** to return in the format {start}-{end} - e.g. `'1-10'`, `'11-20'` **Note**: - the maximum number of rows per request is 100; therefore, `'100-400'` will return the same as `'100-200'` - if `topX` is not specified, the default is `'1-100'`

No probe data for this endpoint yet.